<%@ page contentType="text/html;charset=UTF-8" language="java" import="java.util.*" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>缺陷列表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <%@include file="../../jspf/floatWin.jspf" %>
    <style type="text/css">
        .rowDiv{
            height: 100%;
        }

        .colBorder{
            border-right: 1px dashed #3c8dbc;
        }

        #returnModal2 {
            margin-left: 30%;
            margin-top: 35%;
            width: 120%;
        }

        .divCss2 {
            color: black;
            margin-top: 5px;
            margin-left: 2px;
        }

        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }

        .divCss7 {
            margin-top: 5px;
            margin-left:0px;
            color: blue;
        }

        .divCss4 {
            border-top: 1px solid #e5e5e5;
            border-bottom: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }

        label,span,textarea,input{
            color: black;
            font-weight: normal;
        }

        body{
            background-color: #fff;
        }


        #arrow {
            color: #fff;
            background: #000;
            width: 20px;
            height: 90px;
            line-height: 90px;
            font-size: 12px;
            font-family: "宋体";
            text-align: center;
            font-weight: bold;
            float: left;
        }
        .panel{
            width: 98%;
        }

        /*选中行颜色*/
        .fixed-table-container tbody .selected td {
            background-color: #3c8dbc;
        }

    </style>
</head>
<body>
<div class="row form-inline" >
    <div style="width: 70%;float:left;" id="pdfDiv">
        <iframe id="pdf_page" name="pdf_page" style="width:100%;height:100%;"></iframe>
    </div>
    <div id="arrow">&gt;</div>

    <div style="width: 28%;height:100%;float:right;overflow-y:scroll;overflow-x: hidden; " id="infoDiv">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title">缺陷信息</h3>
            </div>
            <div class="panel-body">
                <form class="form-horizontal" id="form">
                    <div class="row divCss2 ">
                        <span style="vertical-align:center;">退回：</span>
                        <select style="width:100px;" class="selectpicker bla bla bli" multiple data-live-search="true" name="flag" id="flag" title="请输入角色">
                            <option value="1" selected>医生</option>
                            <option value="2">护士</option>
                        </select>
                    </div>
                    <div class="row divCss2">
                        <span  class="divCss7">选项：</span>
                        <div class="divCss4" id="faultTypeDiv2">
                            <%--<div class="row " style="width:600px">--%>
                            <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>苹果 </label>--%>
                            <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>桃子 </label>--%>
                            <%--</div>--%>
                            <%--<div class="row " style="width:600px">--%>
                            <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>苹果水电费是否是的范德萨</label>--%>
                            <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>桃子</label>--%>
                            <%--</div>--%>
                        </div>
                    </div>
                    <div class="row divCss2">
                        <span style="vertical-align:top;">内容：</span>
                        <textarea id="content" rows="6"  style="width:80%;"></textarea>
                    </div>
                    <div class="row divCss2">
                        <div class="col-sm-6" style="text-align: center;">
                            <button type="button" class="btn btn-primary btn-sm" id="saveBtn">保存</button>
                        </div>
                        <div class="col-sm-6">
                            <button type="button" class="btn btn-default btn-sm" id="clearBtn">清空</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
        <div class="row divCss2">

            <!--数据表格-->
            <table id="table" class="table text-nowrap table-striped"></table>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <button type="button" class="btn btn-warning btn-sm" id="addBtn">添加</button>
                    <button type="button" class="btn btn-danger btn-sm" id="delBtn">删除</button>
                    <%--<button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"--%>
                            <%--aria-label="Refresh"--%>
                            <%--title="Refresh">--%>
                        <%--<i class="glyphicon glyphicon-refresh icon-refresh"></i>--%>
                    <%--</button>--%>
                </div>
            </div>

        </div>



    </div>

</div>



</body>
<script>
    //1、添加或者是2、编辑
    var btnFlag=1;
    //编辑id
    var editId;
    //保存table選中的記錄
    var selectNodeId=null;
    //病案号
    var archiveDetailId="1333ad3c4d6448c89372835dbad3c364";

    $(function () {

        function getFaultType() {
            $("#faultTypeDiv2").empty();
            //获取科室列表
            $.ajax({
                url: "${path}/lastVerify/getFaultType",
                type: "POST",
                data: {effective: 1},
                success: function (result) {
                    if (result != null) {
                        var html = '';
                        for (var i = 0; i < result.length; i++) {
                            if (i % 1 == 0) {
                                html += '<div class="row" style="width:600px"><label class="col-xs-6"><input name="Fruit" type="checkbox" value="' + result[i].id + '">' + result[i].typeName+"("+ result[i].price+")" + '</label></div>'

                            }
                        }
                        $("#faultTypeDiv2").append(html);
                        //查看PDF
                        var pdfPath = "C:/Users/Administrator/Desktop/测试/ttt.pdf";
                        $('#pdf_page').attr('src', "${path}/static/pdfjs/web/viewer.html?file=" + encodeURIComponent("${path}/inHosp/pdfStreamHandeler?url=" + pdfPath));
                        //病案号 45e9b098f9da49ffba1843bfc6930cb8

                        // rowDiv.append(col1);
                        //根据病案号查找退回信息

                        //$("#faultTypeDiv").append(html);
                    }
                }
            });
        }

        getFaultType();


        var oMoveBox = $("#arrow"), infoDiv = $("#infoDiv"), maxL =0;
        oMoveBox.click(function () {
            if(maxL>0){
                maxL = 0;
                $("#pdfDiv").css("width", '70%');
                $("#arrow").html(">");
                $("#infoDiv").show();
            }else{
                maxL = 1;
                $("#pdfDiv").css("width", '97%');
                $("#arrow").html("<" );
                $("#infoDiv").hide();
            }
        });

        var max = 0;
        function initTable() {
            $('#table').bootstrapTable({
                url: "${path}/fault/getFaultList", // 获取表格数据的url
                queryParams: function (params) {
                    var temp = {
                        ///limit: limit,     //页面大小
                        // offset: offset,   //页码
                        //order: params.order,      //排位命令（desc，asc）
                        //id: $("#id").val(),
                        archiveDetailId: archiveDetailId
                    };
                    return temp;
                },
                singleSelect: true,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                toolbar: '#toolbar',//指定工具栏
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 15,
                    align: 'center',
                    valign: 'middle'
                }, {
                    field: 'archive_detail_id',
                    title: 'id',
                    visible: false
                }, {
                    field: 'assortId',
                    title: '缺陷类型',
                    width: 150,
                    visible: false,
                    formatter: function (value, row, index) {
                        if (row.id > max) {
                             max = row.id;
                        }
                       //console.log(row.id+"="+max+"=="+(row.id > max));
                        selectNodeId= max;
                        return value
                    }
                }, {
                    field: 'assortName',
                    title: '缺陷类型',
                    width: 150
                }, {
                    title: '退回',
                    field: 'backFlag',
                    align: 'center',
                    width: 100,
                    formatter: function (value, row, index) {
                        var result = "";
                        if (value == 1) {
                            result = '<span style="color:green;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>主任退回医生</span>'
                        } else if(value == 2) {
                            result = '<span style="color:red;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>主任退回护士</span>'
                        } else if (value == 5) {
                            result = '<span style="color:orange;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>病案室退回护士</span>'
                        } else if (value == 6) {
                            result = '<span style="color:dodgerblue;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>病案室退回护士</span>'
                        }
                        return result
                    }
                },{
                    field: 'content',
                    title: '内容',
                    width: 250
                }],
                onClickRow: function (row) {
                    editId = row.id;
                    btnFlag = 2;
                    $("#content").val(row.content);
                    $('.selectpicker').selectpicker('val', row.backFlag);
                    // $("#flag").val(row.backFlag);
                    $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                        //chk_value.push($(this).val());//将选中的值添加到数组chk_value中
                        if ($(this).val() == row.assortId) {
                            $(this)[0].checked = true;
                        } else {
                            $(this)[0].checked = false;
                        }
                    });
                    //selectNode=row.id;


                },
                //如果想双击获取row，把onlClickRow改为onDbClickRow，如下
                onDblClickRow: function (row) {
                    // if (template.defaults.imports.hasPermission('/payment_manager/payment_detail')) {
                    //     EditBook(row.id);
                    // }
                }, onLoadSuccess: function (result) {  //加载成功时执行
                    // if (editId != null) {
                    //     //对刷新表格的数据选中之前选的id行
                    //     $('#table').bootstrapTable("checkBy", {field: 'id', values: [editId]});
                    // }else{
                    //     //console.log("===="+ selectNodeId);
                    //     //选中第一行
                    //     $('#table').bootstrapTable("checkBy", {field: 'id', values: [selectNodeId]});
                    // }
                    $('#table').bootstrapTable("checkBy", {field: 'id', values: [selectNodeId]});
                    //获取表格选中行
                    var row = $('#table').bootstrapTable('getSelections')[0];
                    if(row!=null) {
                        if(row.id!=null && row.id!="") {
                            editId = row.id;
                            btnFlag = 2;
                            $("#content").val(row.content);
                            $('.selectpicker').selectpicker('val', row.backFlag);

                            $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                                if ($(this).val() == row.assortId) {
                                    $(this)[0].checked = true;
                                } else {
                                    $(this)[0].checked = false;
                                }
                            });
                        }
                    }

                },
                onLoadError: function () {  //加载失败时执行
                    //$('#table').bootstrapTable("checkBy", {field: 'id', values: [selectNodeId]});
                }
            });
        }
        initTable();

        $("#addBtn").click(function () {
            editId=null;
            //1添加和2编辑
            btnFlag=1;
            //默认选中医生
            $('.selectpicker').selectpicker('val', 1);
            $("#content").val("");
            $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                $(this)[0].checked = false;
            });
        });
        $("#clearBtn").click(function () {
            //默认选中医生
            $('.selectpicker').selectpicker('val', 1);
            $("#content").val("");
            $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                $(this)[0].checked=false;
            });
			$("#typeFlag").prop("disabled", false);
			$("#typeFlag").selectpicker('val',"");
            $("#typeFlag").selectpicker('refresh');
        });
        $("#saveBtn").click(function () {
            var arr = [];
            var arrText=[];
            $('input[name="Fruit"]:checked').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                arr.push($(this).val());//将选中的值添加到数组arr中
                //获取分值
                var str= $(this).parent().parent().text().trim();
                var begin = str.indexOf('(')+1;
                var last = str.indexOf(')');
                arrText.push(str.substring(begin, last));
            });
            if($("#flag").val().length <= 0){
                toastr.warning("退回角色至少选一个!");
                return;
            }else if(arr.length<=0){
                toastr.warning("缺陷选项至少选一个!");
                return;
            }

            //保存记录到缺陷记录表
            var data = {};
            data.id= editId;
            data.archiveDetailId= archiveDetailId;
            data.backFlag= $("#flag").val().toString();
            data.content= $("#content").val();
            data.assortId=arr.toString();
            data.backContent=arrText.toString();
            //data.recallReason= btnFlag;
            // console.log(data);
            //判断是添加还是删除recallReason ：1添加，2编辑
            $.ajax({
                url: "${path}/fault/addFaultList",
                type: "POST",
                data: data,
                success: function (result) {
                    if (result.indexOf("成功") != -1) {
                        toastr.success(result);
                    } else {
                        toastr.error(result);
                    }
                    //刷新
                    $('#table').bootstrapTable('refresh');
                }
            });

        });

        $("#delBtn").click(function () {
            if (editId == null) {
                toastr.warning("选中1条记录!");
                return;
            }
            //删除记录
            $.ajax({
                url: "${path}/fault/delFault",
                type: "POST",
                data: {id: editId},
                success: function (result) {
                    if (result.indexOf("成功") != -1) {
                        toastr.success(result);
                    } else {
                        toastr.error(result);
                    }
                    //刷新
                    $('#table').bootstrapTable('refresh');
                }
            });
        });
    });

</script>
</html>
